<?php
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_pagereklame');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();
?>

<style type="text/css">
    blink, .blink {
        -webkit-animation: blink 1s step-end infinite;
        -moz-animation: blink 1s step-end infinite;
        -o-animation: blink 1s step-end infinite;
        animation: blink 1s step-end infinite;
    }

    @-webkit-keyframes blink {
        67% { opacity: 0 }
    }

    @-moz-keyframes blink {
        67% { opacity: 0 }
    }

    @-o-keyframes blink {
        67% { opacity: 0 }
    }

    @keyframes blink {
        67% { opacity: 0 }
    }
    
</style>
<div id="page-content-wrapper" style="font-size:12px">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <i class="glyph-icon icon-pencil"></i>
                    Pendataan <?= $datapendaftaran['s_namajenis'] ?><b class="blink" style="font-size: 12px; color: red"><?= $message ?></b>
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <div class="row">
                        <div class="col-md-12 center-div">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style="text-align:center; background:black; border-radius: 25px; color: orange; padding: 5px 15px 5px 15px; font-size: 16px; font-weight:bolder">NPWPD : <?= $datapendaftaran['t_npwpd'] ?> / ID OP : <?= $datapendaftaran['t_nop'] ?></span>
                        </div>
                    </div>
                    <?= $this->form()->openTag($form) ?>
                    <div class="col-md-6">

                        <div class="content-box">
                            <h3 class="content-box-header content-box-header-alt bg-success">
                                <span class="icon-separator">
                                    <i class="glyph-icon icon-database"></i>
                                </span>
                                <span class="header-wrapper">
                                    Data WP
                                </span>
                            </h3>
                            <div class="content-box-wrapper">
                                <div class='row'>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">NIK</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_nik'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Nama</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_nama'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Alamat</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_alamat_lengkap'] ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-6">
                        <div class="content-box">
                            <h3 class="content-box-header content-box-header-alt bg-success">
                                <span class="icon-separator">
                                    <i class="glyph-icon icon-database"></i>
                                </span>
                                <span class="header-wrapper">
                                    Data OP
                                </span>
                            </h3>
                            <div class="content-box-wrapper">
                                <div class='row'>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">NIOP</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_nop'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Nama</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_namaobjek'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Alamat</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_alamatobjek'] ?>
                                            ,RT. <?= $datapendaftaran['t_rtobjek'] ?>
                                            ,RW. <?= $datapendaftaran['t_rwobjek'] ?>
                                            ,Desa/Kel. <?= $datapendaftaran['s_namakelobjek'] ?>
                                            ,Kec. <?= $datapendaftaran['s_namakecobjek'] ?>
                                            ,Kab. <?= $datapendaftaran['t_kabupatenobjek'] ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="alert alert-info">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Histori Pajak</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div id="datatransaksi"></div>
                        </div>
                    </div>
                    <div class="row pad10B">
                        <div class="col-sm-12">
                            <div class="alert alert-warning">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data Pendataan</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nomor Urut</label>
                            <div class="col-sm-2">
                                <input type="hidden" name="t_jenisobjekpajak" value="<?= $datapendaftaran['t_jenisobjek'] ?>">
                                <?= $this->formHidden($form->get("t_idtransaksi")) ?>
                                <?= $this->formHidden($form->get("t_iddetailreklame")) ?>
                                <?= $this->formHidden($form->get("t_idobjek")) ?>
                                <?= $this->formHidden($form->get("t_jenispajak")) ?>
                                <?= $this->formText($form->get("t_nourut")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Periode Pajak</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_periodepajak")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Tanggal Pendataan</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_tglpendataan")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Masa Pajak</label>
                            <div class="col-sm-5">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_masaawal")) ?>
<!--                                </div>
                            </div>
                            <label class="col-sm-1 control-label">S/D</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">-->
                                    <span class="input-group-addon" style="background-color: #EEEEEE"><b>s/d</b></span>
                                    <?= $this->formText($form->get("t_masaakhir")) ?>
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Jenis Reklame</label>
                            <div class="col-sm-7">
                                <?= $this->formSelect($form->get("t_jenisreklame")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Kode Rekening</label>
                            <div class="col-sm-2">
                                <?= $this->formHidden($form->get("t_idkorek")) ?>
                                <?= $this->formText($form->get("t_korek")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nama Rekening</label>
                            <div class="col-sm-7">
                                <?= $this->formText($form->get("t_namakorek")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nama Naskah</label>
                            <div class="col-sm-7">
                                <?= $this->formText($form->get("t_naskah")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Lokasi</label>
                            <div class="col-sm-7">
                                <?= $this->formTextarea($form->get("t_lokasi")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divpemasangan">
                            <label class="col-sm-2 control-label">Pemasangan</label>
                            <div class="col-sm-3">
                                <?= $this->formSelect($form->get("t_pemasangan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divkonstruksi">
                            <label class="col-sm-2 control-label">Konstruksi</label>
                            <div class="col-sm-3">
                                <?= $this->formSelect($form->get("t_konstruksi")) ?>
                            </div>
                            <label class="col-sm-2 control-label">Bentuk Reklame</label>
                            <div class="col-sm-2">
                                <?= $this->formSelect($form->get("t_bentukreklame")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divjenislokasi">
                            <label class="col-sm-2 control-label">Jenis Lokasi</label>
                            <div class="col-sm-3">
                                <?= $this->formSelect($form->get("t_jenislokasi")) ?>
                            </div>
                            <label class="col-sm-2 control-label">Lebar Jalan</label>
                            <div class="col-sm-2">
                                <?= $this->formSelect($form->get("t_lebarjalan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divselebaran">
                            <label class="col-sm-2 control-label">Jenis Selebaran</label>
                            <div class="col-sm-5">
                                <?= $this->formSelect($form->get("t_jenisselebaran")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divkendaraan">
                            <label class="col-sm-2 control-label">Jenis Kendaraan</label>
                            <div class="col-sm-5">
                                <?= $this->formSelect($form->get("t_jeniskendaraan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divsuara">
                            <label class="col-sm-2 control-label">Jenis Suara</label>
                            <div class="col-sm-5">
                                <?= $this->formSelect($form->get("t_jenissuara")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divfilm">
                            <label class="col-sm-2 control-label">Jenis Film / Slide</label>
                            <div class="col-sm-5">
                                <?= $this->formSelect($form->get("t_jenisfilm")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divperagaan">
                            <label class="col-sm-2 control-label">Jenis Peragaan</label>
                            <div class="col-sm-5">
                                <?= $this->formSelect($form->get("t_jenisperagaan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divluasreklame">
                            <label class="col-sm-2 control-label">Panjang</label>
                            <div class="col-sm-1">
                                <?= $this->formText($form->get("t_panjang")) ?>
                            </div>
                            <label class="col-sm-1 control-label">Lebar</label>
                            <div class="col-sm-1">
                                <?= $this->formText($form->get("t_lebar")) ?>
                                <?= $this->formHidden($form->get("t_luas")) ?>
                            </div>
                            <div id="divketinggian">
                            <label class="col-sm-2 control-label">Ketinggian</label>
                            <div class="col-sm-2">
                                <?= $this->formSelect($form->get("t_ketinggian")) ?>
                            </div>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divsudutpandang">
                            <div id="divsudutpandang_sub">
                            <label class="col-sm-2 control-label">Sudut Pandang</label>
                            <div class="col-sm-3">
                                <?= $this->formSelect($form->get("t_sudutpandang")) ?>
                            </div>
                            </div>
                            <div id="divjumlahreklame">
                            <label class="col-sm-2 control-label">Jumlah Reklame</label>
                            <div class="col-sm-2">
                                <?= $this->formNumber($form->get("t_jumlah")) ?>
                            </div>
                            </div>
                        </div>
                        <div class="col-sm-12" id="divjangkawaktu">
                            <label class="col-sm-2 control-label">Jangka Waktu</label>
                            <div class="col-sm-3" id="divselectjangkawaktu">
                                <?= $this->formSelect($form->get("t_jangkawaktu")) ?>
                            </div>
                            <div class="col-sm-1" id="divtextjangkawaktu">
                                <?= $this->formNumber($form->get("t_jangkawaktutext")) ?>
                            </div>
                            <div id="tipewaktu" style="font-size:12pt;"></div>
                        </div>
                        <div class="col-sm-12" id="divtarifdasarkorek">
                            <label class="col-sm-2 control-label">Tarif Dasar</label>
                            <div class="col-sm-3">
                                <?= $this->formText($form->get("t_tarifdasarkorek")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">NSR</label>
                            <div class="col-sm-3">
                                <?= $this->formHidden($form->get('t_hargasatuan')) ?>
                                <?= $this->formHidden($form->get('t_nsl')) ?>
                                <?= $this->formText($form->get('t_nsr')) ?>
                            </div>
                            <label class="col-sm-2 control-label">Tarif Persen (%)</label>
                            <div class="col-sm-1">
                                <?= $this->formHidden($form->get("t_tarifpajak")) ?>
                                <?= $this->formText($form->get("t_tarifreklame")) ?>
                            </div>
                            <div class="col-sm-1">
                                <button type="button" class="btn btn-sm btn-danger" onclick="hitungpajakreklame()">
                                <i class="glyph-icon icon-calculator"></i> HITUNG
                                </button>
                            </div>
                            <div class="col-sm-3"></div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Total Pajak (Rp)</label>
                            <div class="col-sm-4">
                                <?= $this->formText($form->get("t_jmlhpajak")) ?>
                            </div>
                        </div>
<!--                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Tanggal Penetapan</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <= $this->formText($form->get("t_tglpenetapan")) ?>
                                </div>
                            </div>
                        </div>-->
                    </div>
                    <div class="bg-default" id="tombolsimpan">
                        <?= $this->formInput($form->get('Pendataansubmit')) ?> 
                    </div>
                    <?= $this->form()->closeTag($form) ?>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalSimpan" tabindex="-1" aria-hidden="true" style="text-align: center;width: 100%;">
    <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
</div>

<script>
    $('#Pendataansubmit').click(function () {
        var myForm = document.getElementById('demo-form');
        myForm.onsubmit = function () {
            var allInputs = myForm.getElementsByTagName('input');
            var input, i;

            for (i = 0; input = allInputs[i]; i++) {
                if (input.getAttribute('name') && !input.value) {
                    //input.setAttribute('name', '');

                } else {
                    jQuery('#modalSimpan').modal('show');
                }
            }
        };
    });

    $(function () {
        jangkawaktureklame();
        
        $('#divpemasangan').hide();
        $('#divkonstruksi').hide();
        $('#divjenislokasi').hide();
        $('#divselebaran').hide();
        $('#divkendaraan').hide();
        $('#divsuara').hide();
        $('#divfilm').hide();
        $('#divperagaan').hide();
        $('#divsudutpandang').hide();
        $('#divluasreklame').hide();
        $('#divtinggireklame').hide();
        $('#divpenyelenggaraan').hide();
        $('#divletakreklame').hide();
        $('#divtextjangkawaktu').hide();
    });

    function pilihRekening(a) {
        $.post('<?= $this->url() ?>/pilihRekening', {s_idkorek: a}, function (data) {
            var aa = JSON.parse(data);
            $('#t_idkorek').val(aa.t_idkorek);
            $('#t_korek').val(aa.t_korek);
            $('#t_tarifreklame').val(aa.t_tarifpajak);
            $('#t_namakorek').val(aa.t_namakorek);
            $('#modalRekening').modal('hide');
            // var rinci = aa.t_korek.substring(9, 11);
            
        });
//        hitungpajakreklame();
//        jangkawaktureklame();
    }

    function jangkawaktureklame() {
        $.post('<?= $this->url() ?>/jangkawaktureklame', {
            t_jenisreklame: $('#t_jenisreklame').val()
        }, function (data) {
            var aa = JSON.parse(data);
            var jenisreklame = aa.t_jenisreklame;
            if(jenisreklame == 1 || jenisreklame == 2 || jenisreklame == 3 || jenisreklame == 4 || jenisreklame == 5 || jenisreklame == 6 || jenisreklame == 7 || jenisreklame == 8){
                $('#divselectjangkawaktu').show();
                $('#divtextjangkawaktu').hide();
                $('#t_jangkawaktu')
                   .empty()
                   .append('<option value="1">1 Tahun</option>')
                   .append('<option value="2">1 s/d 9 Bulan</option>')
                   .append('<option value="3">1 s/d 6 Bulan</option>')
                   .append('<option value="4">1 s/d 3 Bulan</option>');
            }else{
                $('#divselectjangkawaktu').hide();
                $('#divtextjangkawaktu').show();
            }
            
            hitungpajakreklame();
        });
    }
    
    function bukamodalZona() {
        $('#modalZonaWilayah').modal('show');
    }

    function hitungpajakreklame() {
        $.post('<?= $this->url() ?>/hitungpajakreklame', {
            t_idkorek: $('#t_idkorek').val(),
            t_jenisreklame: $("#t_jenisreklame").val(),
            t_pemasangan: $("#t_pemasangan").val(),
            t_konstruksi: $("#t_konstruksi").val(),
            t_ketinggian: $("#t_ketinggian").val(),
            t_lebarjalan: $("#t_lebarjalan").val(),
            t_jenislokasi: $("#t_jenislokasi").val(),
            t_jenisselebaran: $("#t_jenisselebaran").val(),
            t_jeniskendaraan: $("#t_jeniskendaraan").val(),
            t_jenissuara: $("#t_jenissuara").val(),
            t_jenisfilm: $("#t_jenisfilm").val(),
            t_jenisperagaan: $("#t_jenisperagaan").val(),
            t_panjang: $("#t_panjang").val(),
            t_lebar: $("#t_lebar").val(),
            t_sudutpandang: $("#t_sudutpandang").val(),
            t_jumlah: $("#t_jumlah").val(),
            t_jangkawaktu: $("#t_jangkawaktu").val(),
            t_jangkawaktutext: $("#t_jangkawaktutext").val(),
            t_korek: $('#t_korek').val(),
            t_tarifreklame: $('#t_tarifreklame').val(),
            t_njopr: $('#t_njopr').val(),
        }, function (data) {
            var aa = JSON.parse(data);
            $('#t_jmlhpajak').val(aa.t_jmlhpajak);
            $('#t_luas').val(aa.t_luas);
            $('#t_idkorek').val(aa.t_idkorek);
            $('#t_korek').val(aa.t_korek);
            $('#t_namakorek').val(aa.t_namakorek);
            $('#t_tarifreklame').val(aa.t_tarifpajak);
            $('#t_tarifpajak').val(aa.t_tarifpajak);
            $('#t_tarifdasarkorek').val(aa.t_tarifdasarkorek);
            $('#t_hargasatuan').val(aa.t_hargasatuan);
            $('#t_nsl').val(aa.t_nsl);
            $('#t_nsr').val(aa.t_nsr);
            $('#tipewaktu').html(aa.t_tipewaktu);
            var jenisreklame = aa.t_jenisreklame;
            if(jenisreklame == 1 || jenisreklame == 2 || jenisreklame == 3 || jenisreklame == 4 || jenisreklame == 5 || jenisreklame == 6 || jenisreklame == 7 || jenisreklame == 8){
                $('#divpemasangan').show();
                $('#divkonstruksi').show();
                $('#divjenislokasi').show();
                $('#divsudutpandang').show();
                $('#divluasreklame').show();
                $('#divketinggian').show();
                $('#divtarifdasarkorek').hide();
                $('#divselebaran').hide();
                $('#divkendaraan').hide();
                $('#divsuara').hide();
                $('#divfilm').hide();
                $('#divperagaan').hide();
            }else{
                $('#divpemasangan').hide();
                $('#divkonstruksi').hide();
                $('#divjenislokasi').hide();
                $('#divsudutpandang').show();
                $('#divsudutpandang_sub').hide();
                $('#divjumlahreklame').show();
                $('#divluasreklame').hide();
                $('#divketinggian').hide();
                $('#divselectjangkawaktu').hide();
                $('#divtarifdasarkorek').show();
                $('#divselebaran').hide();
                $('#divkendaraan').hide();
                $('#divsuara').hide();
                $('#divfilm').hide();
                $('#divperagaan').hide();
            }
        });
    }

    $(function () {
        CariPendataanReklameByObjek();
    });

    function CariPendataanReklameByObjek() {
        $.post('<?= $this->url() ?>/CariPendataanReklameByObjek', {idobjek: $("#t_idobjek").val(), periodepajak: $("#t_periodepajak").val()}, function (data) {
            var aa = JSON.parse(data);
            $("#datatransaksi").html(aa.datatransaksi);
        });
    }

//    function comboKelurahanCamat() {
//        $.post('<? $this->url() ?>/comboKelurahanCamat', {t_kecamatan: $('#t_kecamatanrek').val()}, function (data) {
//            $("#t_kelurahanrek").html(data);
//        });
//    }
</script>